Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.util
[Groovy] Class ConfigBinding

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Binding
              groovy.util.ConfigBinding

    class ConfigBinding
    extends Binding

Since Groovy Script don't support overriding setProperty, we have to using a trick with the Binding to provide this functionality

Property Summary
`def` | `callable`

Constructor Summary
`ConfigBinding(Closure c)`

Method Summary
`void` | `setVariable(String name, Object value)`

Methods inherited from class Binding
getProperty, getVariable, getVariables, setProperty, setVariable

Methods inherited from class GroovyObjectSupport
getMetaClass, getProperty, invokeMethod, setMetaClass, setProperty

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### callable

    def callable

Constructor Detail

### ConfigBinding

    ConfigBinding(Closure c)

Method Detail

### setVariable

    void setVariable(String name, Object value)

Copyright © 2003-2010 The Codehaus. All rights reserved.